httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Richards <p...@netcraft.co.uk>
Subject Re: Votes for 0.8.12...
Date Tue, 29 Aug 1995 17:09:45 GMT
In reply to Robert S. Thau who said
> 
> -1 patch11.bsdi-longsz --- handle fsize include directive on old BSDI releases
>    (does not compile correctly, does not work under other systems).
>    [Bob Thrush]

I think this patch will work though it's a bit cludgy

> +1 patch11.no-bsd-conf --- Delete BSD #define from conf.h everyplace; also
>    cures the bsdi-longsz problem above.  [ Randy Terbush ] 

This won't work because BSD4_4 is a botched define in that it was
also defined for BSD systems between 4.3 and 4.4, i.e. Net/2 and
possible Reno releases so you can't rely on all 4.4 features being
present even if it's defined. It was defined to be 0.5 in pre-4.4
releases and 1 in the real 4.4 release. CSRG don't screw up often
but they certainly did this time.

I prefer the approach taken in this patch though, it just doesn't quite
work.

I'm looking at all this now, hopefully I'll have something sane worked
out by the end of the night but it'll probably touch too much for
the .12 release.
-- 
  Paul Richards, Bluebird Computer Systems. FreeBSD core team member. 
  Internet: paul@FreeBSD.org, http://www.freebsd.org/~paul
  Phone: 0370 462071 (Mobile), +44 1222 457651 (home)

Mime
View raw message